Skip to content

Set Credential

PUT
/api/v3/projects/{project_id}/credentials/{requirement_name}
curl --request PUT \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/credentials/example \
--header 'Content-Type: application/json' \
--data '{ "value": "example" }'

Install or rotate one encrypted logical Project credential.

project_id
required
Project Id
string format: uuid
requirement_name
required
Requirement Name
string
X-Admin-Key
Any of:
string
Media typeapplication/json
CredentialSetRequestV3

Secret-bearing transport input accepted only over authenticated HTTPS.

object
value
required
Value
string format: password
Examplegenerated
{
"value": "example"
}

Successful Response

Media typeapplication/json
CredentialBindingResponseV3

Secret-free status for one Project-wide credential binding.

object
created_at
required
Created At
string format: date-time
credential_kind
required
Credential Kind
string
id
required
Id
string format: uuid
last_verified_at
Any of:
string format: date-time
provider
required
Provider
string
rearmed_operation_ids
Rearmed Operation Ids
Array<string>
requirement_id
required
Requirement Id
string format: uuid
requirement_name
required
Requirement Name
string
scopes
Scopes
Array<string>
status
required
Status
string
updated_at
required
Updated At
string format: date-time
verification
Verification
object
key
additional properties
any
Examplegenerated
{
"created_at": "2026-04-15T12:00:00Z",
"credential_kind": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_verified_at": "2026-04-15T12:00:00Z",
"provider": "example",
"rearmed_operation_ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"requirement_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"requirement_name": "example",
"scopes": [
"example"
],
"status": "example",
"updated_at": "2026-04-15T12:00:00Z",
"verification": {}
}

Authentication failed with a resumable next action.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The authenticated actor lacks the required Project authority.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The scoped management resource was not found.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

A stable management invariant prevented progress.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}